Summary:        Python bindings for libsodium based on ctypes
Name:           python-libnacl
Version:        1.8.0
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://libnacl.readthedocs.org/
Source0:        https://files.pythonhosted.org/packages/db/ab/1111466244a682121a86cf5360fb7c804e6c21edaf0b439bfd898f4a11fe/libnacl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  libsodium-devel python3-devel python3dist(pytest)
Requires:       libsodium

%description
Python libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein's 
nacl library via libsodium. It has been constructed to maintain extensive documentation on how 
to use nacl as well as being completely portable.

%package -n python3-libnacl
Summary: %{summary}

%description -n python3-libnacl
Python libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein's 
nacl library via libsodium. It has been constructed to maintain extensive documentation on how 
to use nacl as well as being completely portable.

%prep
%autosetup -n libnacl-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libnacl

%check
%{pytest}

%files -n python3-libnacl -f %{pyproject_files}
%license LICENSE
%doc AUTHORS
%doc README.rst


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Xin Cheng <denisecheng@tencent.com> - 1.8.0-1
- package init.